Package org.eclipse.birt.report.model.api.simpleapi

# Interface IFilterConditionElement

All Superinterfaces:
  `IDesignElement`

public interface IFilterConditionElement extends IDesignElement

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpr()`
Returns the filter expression.
`String`
`getFilterTarget()`
Returns the filter target.
`String`
`getOperator()`
Returns the operator of this filter condition.
`List`
`getValue1List()`
Gets the value1 expression list of this filter condition.
`String`
`getValue2()`
Returns the value 2 expression of this filter condition.
`boolean`
`isOptional()`
Determines whether this filter condition is optional or not.
`void`
`setExpr(String filterExpr)`
Sets the filter expression.
`void`
`setFilterTarget(String filterTarget)`
Sets the filter target.
`void`
`setOperator(String operator)`
Sets the operator of this filter condition.
`void`
`setOptional(boolean isOptional)`
Sets the optional status for this filter condition.
`void`
`setValue1(List value1List)`
Sets the value 1 expression list of this filter condition.
`void`
`setValue2(String value2Expr)`
Sets the value 2 expression of this filter condition.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

## Method Details

### getExpr

String getExpr()
Returns the filter expression.

Returns:
  the filter expression

### setExpr

void setExpr(String filterExpr) throws SemanticException
Sets the filter expression.

Parameters:
  `filterExpr` - the filter expression to set
Throws:
  `SemanticException` - value required exception

### getOperator

String getOperator()
Returns the operator of this filter condition. The possible values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_OPERATOR_EQ`
- `FILTER_OPERATOR_NE`
- `FILTER_OPERATOR_LT`
- `FILTER_OPERATOR_LE`
- `FILTER_OPERATOR_GE`
- `FILTER_OPERATOR_GT`
- `FILTER_OPERATOR_BETWEEN`
- `FILTER_OPERATOR_NOT_BETWEEN`
- `FILTER_OPERATOR_NULL`
- `FILTER_OPERATOR_NOT_NULL`
- `FILTER_OPERATOR_TRUE`
- `FILTER_OPERATOR_FALSE`
- `FILTER_OPERATOR_LIKE`
- `FILTER_OPERATOR_TOP_N`
- `FILTER_OPERATOR_BOTTOM_N`
- `FILTER_OPERATOR_TOP_PERCENT`
- `FILTER_OPERATOR_BOTTOM_PERCENT`
- `FILTER_OPERATOR_ANY`

Returns:
  the operator of this filter condition

### setOperator

void setOperator(String operator) throws SemanticException
Sets the operator of this filter condition. The allowed values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_OPERATOR_EQ`
- `FILTER_OPERATOR_NE`
- `FILTER_OPERATOR_LT`
- `FILTER_OPERATOR_LE`
- `FILTER_OPERATOR_GE`
- `FILTER_OPERATOR_GT`
- `FILTER_OPERATOR_BETWEEN`
- `FILTER_OPERATOR_NOT_BETWEEN`
- `FILTER_OPERATOR_NULL`
- `FILTER_OPERATOR_NOT_NULL`
- `FILTER_OPERATOR_TRUE`
- `FILTER_OPERATOR_FALSE`
- `FILTER_OPERATOR_LIKE`
- `FILTER_OPERATOR_TOP_N`
- `FILTER_OPERATOR_BOTTOM_N`
- `FILTER_OPERATOR_TOP_PERCENT`
- `FILTER_OPERATOR_BOTTOM_PERCENT`
- `FILTER_OPERATOR_ANY`

Parameters:
  `operator` - the operator to set
Throws:
  `SemanticException` - if operator is not in the choice list.

### getValue1List

List getValue1List()
Gets the value1 expression list of this filter condition. For most filter operator, there is only one expression in the returned list. However, filter operator 'in' may contain more than one expression.

Returns:
  the value1 expression list of this filter condition.

### setValue1

void setValue1(List value1List) throws SemanticException
Sets the value 1 expression list of this filter condition.

Parameters:
  `value1List` - the value 1 expression list to set
Throws:
  `SemanticException` - if the instance in the list is not valid

### getValue2

String getValue2()
Returns the value 2 expression of this filter condition.

Returns:
  the value 2 expression of this filter condition

### setValue2

void setValue2(String value2Expr) throws SemanticException
Sets the value 2 expression of this filter condition.

Parameters:
  `value2Expr` - the value 2 expression to set
Throws:
  `SemanticException`

### getFilterTarget

String getFilterTarget()
Returns the filter target. The possible values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_TARGET_DATA_SET`
- `FILTER_TARGET_RESULT_SET`

Returns:
  the target type

### setFilterTarget

void setFilterTarget(String filterTarget) throws SemanticException
Sets the filter target. The allowed values are defined in `DesignChoiceConstants`, and they are:

- `FILTER_TARGET_DATA_SET`
- `FILTER_TARGET_RESULT_SET`

Parameters:
  `filterTarget` - the filter target to set
Throws:
  `SemanticException` - if the value is not one of the above.

### isOptional

boolean isOptional()
Determines whether this filter condition is optional or not.

Returns:
  true if this filter is optional, otherwise false

### setOptional

void setOptional(boolean isOptional) throws SemanticException
Sets the optional status for this filter condition.

Parameters:
  `isOptional` - true if this filter is optional, otherwise false
Throws:
  `SemanticException`